#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: vector-builder
version: 0.3.4.1
id: vector-builder-0.3.4.1-9fsPkxQc0LxBG5wUc9dgXG
key: vector-builder-0.3.4.1-9fsPkxQc0LxBG5wUc9dgXG
license: MIT
copyright: (c) 2016, Nikita Volkov
maintainer: Nikita Volkov <nikita.y.volkov@mail.ru>
author: Nikita Volkov <nikita.y.volkov@mail.ru>
homepage: https://github.com/nikita-volkov/vector-builder
synopsis: Vector builder
description:
    An API for efficient and convenient construction of vectors.
    It provides the composable `Builder` abstraction, which has instances of the `Monoid` and `Semigroup` classes.
    .
    [Usage]
    .
    First you use the `Builder` abstraction to specify the structure of the vector.
    Then you execute the builder to actually produce the vector.
    .
    [Example]
    .
    The following code shows how you can efficiently concatenate different datastructures into a single immutable vector:
    .
    >
    >import qualified Data.Vector as A
    >import qualified VectorBuilder.Builder as B
    >import qualified VectorBuilder.Vector as C
    >
    >
    >myVector :: A.Vector a -> [a] -> a -> A.Vector a
    >myVector vector list element =
    >  C.build builder
    >  where
    >    builder =
    >      B.vector vector <>
    >      foldMap B.singleton list <>
    >      B.singleton element
category: Vector
abi: 44f34b0b8db3484dc8097d0ead5af71b
exposed: True
exposed-modules:
    VectorBuilder.Builder VectorBuilder.MVector VectorBuilder.MonadPlus
    VectorBuilder.Vector
hidden-modules: VectorBuilder.Prelude VectorBuilder.Core.Update
                VectorBuilder.Core.Builder
import-dirs: /usr/lib/ghc-8.4.2/site-local/vector-builder-0.3.4.1
library-dirs: /usr/lib/ghc-8.4.2/site-local/vector-builder-0.3.4.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/vector-builder-0.3.4.1
hs-libraries: HSvector-builder-0.3.4.1-9fsPkxQc0LxBG5wUc9dgXG
depends:
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
    semigroups-0.18.4-8TzSEFpYt1WDcfY361NEhv
    base-prelude-1.2.1-JzBjPH3Uj6PG2FHcpheouW base-4.11.1.0
abi-depends: vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
             semigroups-0.18.4-8TzSEFpYt1WDcfY361NEhv=de35bd6c21af2947fea51000f88c89bb
             base-prelude-1.2.1-JzBjPH3Uj6PG2FHcpheouW=961a5f7519ccf89df00787dfcc2916e0
             base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
haddock-interfaces: /usr/share/doc/haskell-vector-builder/html/vector-builder.haddock
haddock-html: /usr/share/doc/haskell-vector-builder/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

